<div class="mdc-card p-4">
    <div class="mb-2 d-flex pe-3">
        <div class="d-flex col-10 col-lg-11 flex-column me-auto">
            <h2 class="fs-5">{{ lookingForPropertyRequest.getTitle() }}</h2>
            {% set levelOneIndustryClassification = null %}
            {% set levelTwoIndustryClassification = null %}
            {% set levelThreeIndustryClassification = null %}

            {% if (lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent() != null and lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent().getParent() != null) %}
                {% set levelOneIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent().getParent() %}
                {% set levelTwoIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent() %}
                {% set levelThreeIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification() %}
            {% elseif (lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent() != null) %}
                {% set levelOneIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification().getParent() %}
                {% set levelTwoIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification() %}
            {% else %}
                {% set levelOneIndustryClassification = lookingForPropertyRequest.getPropertyRequirement().getIndustryClassification() %}
            {% endif %}
            <div class="mb-2">
                <p class="m-0">
                    <strong>
                        {{ levelOneIndustryClassification.getName() }}
                        {% if (levelTwoIndustryClassification != null) %}
                            &raquo; {{ levelTwoIndustryClassification.getName() }}
                            {% if (levelThreeIndustryClassification != null) %}
                                &raquo; {{ levelThreeIndustryClassification.getName() }}
                            {% endif %}
                        {% endif %}
                    </strong>
                </p>
            </div>
            <small class="mb-3">Gesuch-Nr.: {{ lookingForPropertyRequest.getId() }}</small>
        </div>

        {% set contextMenuListItems = [
            {
                'label': 'zum Ansiedlungsgesuch',
                'url': path('company_location_management_looking_for_property_request_edit', {'id': lookingForPropertyRequest.getId()}),
                'icon': 'search',
                'target': '_blank'
            },
        ] %}

        {% if is_granted('view', lookingForPropertyRequest.getPerson()) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'zum Suchenden',
                    'url': path('person_management_person_base_data', {'personId': lookingForPropertyRequest.getPerson().getId()}),
                    'icon': 'person',
                    'target': '_blank'
                },
            ]) %}
        {% endif %}

        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'looking_for_property_request',
            'listItems': contextMenuListItems
        } only %}
    </div>

    <div class="row">
        {% if is_granted('view', lookingForPropertyRequest.getPerson()) == true %}
            <div class="col-sm-6 col-lg-3">
                <div class="mb-3">
                    <p class="m-0"><strong>{{ lookingForPropertyRequest.getPerson().buildShortDisplayName() }}</strong></p>
                    <p class="m-0 font-thin"><small>gesucht von</small></p>
                </div>
            </div>
        {% endif %}
        <div class="col-sm-6 col-lg-3">
            <div class="mb-3">
                <p class="m-0"><strong>{{ lookingForPropertyRequest.getRequestReason().getName() }}</strong></p>
                <p class="m-0 font-thin"><small>Gesuchsgrund</small></p>
            </div>
        </div>
        <div class="col-sm-6 col-lg-3">
            <div class="mb-3">
                {% set locationCategories = [] %}
                {% for locationCategory in lookingForPropertyRequest.getPropertyRequirement().getLocationCategories() %}
                    {% set locationCategories = locationCategories|merge([locationCategory.getName()]) %}
                {% endfor %}
                <p class="m-0"><strong>{{ locationCategories|join(', ') }}</strong></p>
                <p class="m-0 font-thin"><small>Lagekategorie</small></p>
            </div>
        </div>
        <div class="col-sm-6 col-lg-3">
            <div class="mb-3">
                {% set propertyOfferTypes = [] %}
                {% for propertyOfferType in lookingForPropertyRequest.getPriceRequirement().getPropertyOfferTypes() %}
                    {% set propertyOfferTypes = propertyOfferTypes|merge([propertyOfferType.getName()]) %}
                {% endfor %}
                <p class="m-0"><strong>{{ propertyOfferTypes|join(', ') }}</strong></p>
                <p class="m-0 font-thin"><small>Angebotsart</small></p>
            </div>
        </div>
        <div class="col-sm-6 col-lg-3">
            <div class="mb-3">
                <p class="m-0">
                    <strong>
                        {% if lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue() is defined and lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue() > 0 %}
                            {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue() }} -
                        {% endif %}
                        {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMaximumValue() }} m²
                    </strong>
                </p>
                <p class="m-0 font-thin"><small>Gesamtflächenbedarf</small></p>
            </div>
        </div>
        {% if lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMaximumValue() is defined and lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMaximumValue() > 0 %}
            <div class="col-sm-6 col-lg-3">
                <div class="mb-3">
                    <p class="m-0">
                        <strong>
                            {% if lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMinimumValue() is defined and lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMinimumValue() > 0 %}
                                {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMinimumValue() }} -
                            {% endif %}
                            {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.retailSpace.getMaximumValue() }} m²
                        </strong>
                    </p>
                    <p class="m-0 font-thin"><small>Verkaufsflächenbedarf</small></p>
                </div>
            </div>
        {% endif %}
        {% if lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMaximumValue() is defined and lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMaximumValue() > 0 %}
            <div class="col-sm-6 col-lg-3">
                <div class="mb-3">
                    <p class="m-0">
                        <strong>
                            {% if lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMinimumValue() is defined and lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMinimumValue() > 0 %}
                                {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMinimumValue() }} -
                            {% endif %}
                            {{ lookingForPropertyRequest.getPropertyRequirement().propertyValueRangeRequirement.subsidiarySpace.getMaximumValue() }} m²
                        </strong>
                    </p>
                    <p class="m-0 font-thin"><small>Nebenflächenbedarf</small></p>
                </div>
            </div>
        {% endif %}
        <div class="col-sm-6 col-lg-3">
            <div class="mb-3">
                <p class="m-0">
                    <strong>
                        {% if lookingForPropertyRequest.isAutomaticEnding() %}
                            {{ lookingForPropertyRequest.getRequestAvailableTill().format('d.m.Y') }}
                        {% else %}
                            ohne Ablaufdatum
                        {% endif %}
                    </strong>
                </p>
                <p class="m-0 font-thin"><small>aktiv bis</small></p>
            </div>
        </div>
    </div>
</div>
